Package csb :: Package bio :: Package fragments :: Class ClusterRep

[frames] | no frames]

# Class ClusterRep

source code

    object --+
             |
            ClusterRep

Cluster's representative (centroid) node. This object carries the result of shrinking itself.

Instance Methods

__init__(self, centroid, mean, consistency, count, rejections=0, alternative=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

exchange(self) If an alternative is available, swap the centroid and the alternative. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| alternative
| centroid
| confidence Confidence of assignment: log10(count) * consistency
| consistency
| count
| has_alternative
| mean
| rejections
Inherited from `object`: `__class__`

Method Details

### __init__(self, centroid, mean, consistency, count, rejections=0, alternative=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `centroid` (ClusterNode) - rep node
  - `mean` (float) - current mean distance in the cluster
  - `consistency` (float) - percentage of pairwise distances below the RMSD `threshold`
  - `count` (int) - current number of nodes in the cluster
  - `rejections` (int) - total number of rejections
  - `alternative` - suggested cluster rep alternative (e.g. structurally similar to the centroid, but longer)
Overrides: object.__init__
  (inherited documentation)

Property Details

### alternative

Get Method:
  unreachable.alternative(self)

### centroid

Get Method:
  unreachable.centroid(self)

### confidence

Confidence of assignment: log10(count) * consistency

Get Method:
  unreachable.confidence(self) - Confidence of assignment: log10(count) * consistency

### consistency

Get Method:
  unreachable.consistency(self)

### count

Get Method:
  unreachable.count(self)

### has_alternative

Get Method:
  unreachable.has_alternative(self)

### mean

Get Method:
  unreachable.mean(self)

### rejections

Get Method:
  unreachable.rejections(self)